Review a single timesheet
Submits an approve or reject decision for a timesheet entry. Approved timesheets are queued for inclusion in the next payment cycle.
Token scopes: timesheets:write
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
timesheet_id
ID of an existing timesheet
Request
This endpoint expects an object.
data
Review decision payload to apply to the timesheet entry.
Response
Successful operation.
data
Container object confirming the outcome of the review operation.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error